As a rule of thumb data members of a class should be declared private and member functions should be declared public. Without public member functions private data members can't be manipulated. Classes often provide public member functions to allow clients or users of the class to set (i.e., assign values to) or get (i.e., obtain the values of) private data members.
